## org.eclipse.datatools.connectivity.oda.design
Interface ResultSets

    public interface ResultSets

A collection of result sets' definition and metadata. If the metadata can be derived, i.e. can be obtained by an ODA driver in each design session, an ODA host designer is not required to include the derived metadata in the next design session request. An ODA designer may ignore such metadata in a Request.

The following features are supported:

- `Result Set Definitions`
- `Derived Meta Data`

See Also:
  `DesignPackage.getResultSets()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`void` `addResultSetDefinition(int index, ResultSetDefinition resultSetDefn)` Inserts the specified result set definition at the specified position in the 'Result Set Definitions' containment reference list.
`void` `addResultSetDefinition(ResultSetDefinition resultSetDefn)` Appends the specified result set definition to the end of the 'Result Set Definitions' containment reference list.
`ResultSetDefinition` `findResultSetDefinition(java.lang.String resultSetName)` Finds and returns a named result set definition that matches the specified name.
`EList` `getResultSetDefinitions()` Returns the value of the 'Result Set Definitions' containment reference list.
`boolean` `isDerivedMetaData()` Returns the value of the 'Derived Meta Data' attribute.
`boolean` `isSetDerivedMetaData()` Returns whether the value of the '`Derived Meta Data`' attribute is set.
`void` `setDerivedMetaData(boolean value)` Sets the value of the '`Derived Meta Data`' attribute.
`void` `unsetDerivedMetaData()` Unsets the value of the '`Derived Meta Data`' attribute.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### findResultSetDefinition

    ResultSetDefinition findResultSetDefinition(java.lang.String resultSetName)

  Finds and returns a named result set definition that matches the specified name. This only matches against those result sets that have a name defined. A result set name is case-sensitive.

  Parameters:
    `resultSetName` -
  Returns:
    the matching result set definition; or null if no match is found

### addResultSetDefinition

    void addResultSetDefinition(int index,
                                ResultSetDefinition resultSetDefn)

  Inserts the specified result set definition at the specified position in the 'Result Set Definitions' containment reference list. Shifts the element currently at that position (if any) and any subsequent elements to the right (adds one to their indices).

  Parameters:
    `index` - the 0-based index at which the specified element is to be inserted
    `resultSetDefn` - result set definition to be inserted

### addResultSetDefinition

    void addResultSetDefinition(ResultSetDefinition resultSetDefn)

  Appends the specified result set definition to the end of the 'Result Set Definitions' containment reference list.

  Parameters:
    `resultSetDefn` - result set definition to be inserted

### getResultSetDefinitions

    EList getResultSetDefinitions()

  Returns the value of the 'Result Set Definitions' containment reference list. The list contents are of type `ResultSetDefinition`.

  Returns:
    the value of the 'Result Set Definitions' containment reference list.
  See Also:
    `DesignPackage.getResultSets_ResultSetDefinitions()`

### isDerivedMetaData

    boolean isDerivedMetaData()

  Returns the value of the 'Derived Meta Data' attribute. The default value is `"true"`. If the metadata can be derived, i.e. can be obtained by an ODA driver in each design session, an ODA host designer is not required to include the derived metadata in the next design session request. An ODA designer may ignore such metadata in a Request.

  Returns:
    the value of the 'Derived Meta Data' attribute.
  See Also:
    `isSetDerivedMetaData()`, `unsetDerivedMetaData()`, `setDerivedMetaData(boolean)`, `DesignPackage.getResultSets_DerivedMetaData()`

### setDerivedMetaData

    void setDerivedMetaData(boolean value)

  Sets the value of the '`Derived Meta Data`' attribute.

  Parameters:
    `value` - the new value of the 'Derived Meta Data' attribute.
  See Also:
    `isSetDerivedMetaData()`, `unsetDerivedMetaData()`, `isDerivedMetaData()`

### unsetDerivedMetaData

    void unsetDerivedMetaData()

  Unsets the value of the '`Derived Meta Data`' attribute.

  See Also:
    `isSetDerivedMetaData()`, `isDerivedMetaData()`, `setDerivedMetaData(boolean)`

### isSetDerivedMetaData

    boolean isSetDerivedMetaData()

  Returns whether the value of the '`Derived Meta Data`' attribute is set.

  Returns:
    whether the value of the 'Derived Meta Data' attribute is set.
  See Also:
    `unsetDerivedMetaData()`, `isDerivedMetaData()`, `setDerivedMetaData(boolean)`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.